/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Formularios;

import Classes.Dados;
import javax.swing.JOptionPane;

/**
 *
 * @author PICHAU
 */
public class frmUsuarios extends javax.swing.JInternalFrame {

    private Dados clsdados;
    private final int usuarioatual=0;
    private boolean cmdNovo=false;
    
    public void setDados(Dados clsdados){
        this.clsdados = clsdados;
    }
    public frmUsuarios() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        txtcodusuario = new javax.swing.JTextField();
        txtnome = new javax.swing.JTextField();
        txtsobrenome = new javax.swing.JTextField();
        cmdcancelar = new javax.swing.JButton();
        cmdcomfirmar = new javax.swing.JButton();
        cmdnovo = new javax.swing.JButton();
        txtsenha = new javax.swing.JPasswordField();
        txtcomfirmarsenha = new javax.swing.JPasswordField();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Cadastro De Usuarios");
        addInternalFrameListener(new javax.swing.event.InternalFrameListener() {
            public void internalFrameActivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosed(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosing(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameIconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameOpened(javax.swing.event.InternalFrameEvent evt) {
                formInternalFrameOpened(evt);
            }
        });

        jLabel1.setText("Cad Usuario: ");

        jLabel2.setText("Nome: ");

        jLabel3.setText("Sobrenome: ");

        jLabel4.setText("Senha: ");

        jLabel5.setText("Comfirmar Senha");

        cmdcancelar.setText("Cancelar");
        cmdcancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcancelarActionPerformed(evt);
            }
        });

        cmdcomfirmar.setText("Comfirmar");
        cmdcomfirmar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcomfirmarActionPerformed(evt);
            }
        });

        cmdnovo.setText("Novo");
        cmdnovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdnovoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addGap(27, 27, 27)
                                .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, 247, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(42, 42, 42)
                                        .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 53, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addGap(5, 5, 5)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(txtsobrenome)
                                    .addComponent(txtnome)))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel5)
                                .addGap(18, 18, 18)
                                .addComponent(txtcomfirmarsenha))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(txtsenha)))
                        .addGap(169, 169, 169))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(cmdcancelar)
                        .addGap(115, 115, 115)
                        .addComponent(cmdcomfirmar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(cmdnovo)
                        .addGap(58, 58, 58))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(30, 30, 30)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(txtnome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(37, 37, 37)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(34, 34, 34)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(37, 37, 37)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtcomfirmarsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 78, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cmdcancelar)
                    .addComponent(cmdcomfirmar)
                    .addComponent(cmdnovo))
                .addGap(55, 55, 55))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cmdcancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcancelarActionPerformed
       //Esse é o codigo do botão de cancelar
       cmdcomfirmar.setEnabled(false);
       cmdcancelar.setEnabled(false);
       
         txtcodusuario.setEnabled(false);
         txtnome.setEnabled(false);
         txtsobrenome.setEnabled(false);
         txtsenha.setEnabled(false);
         txtcomfirmarsenha.setEnabled(false);
         
         // cmdNovo=true;
    }//GEN-LAST:event_cmdcancelarActionPerformed

    private void cmdcomfirmarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcomfirmarActionPerformed
        //validando os campo no formulario de usuario
        
        if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
         if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
          if (txtnome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo nome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
           if (txtsobrenome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Sobre Nome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
           
           String SSenha= new String (txtsenha.getPassword());
           String comfirmarsenha= new String(txtcomfirmarsenha.getPassword());
                   
                   
                   
            if (SSenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
             if (comfirmarsenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo confirmar a senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
             if (!SSenha.equals(comfirmarsenha)) {
            JOptionPane.showMessageDialog(rootPane, "O Campo de Confirmar a senha deve ser igual a senha!");
            txtcodusuario.requestFocusInWindow();
            return;
            
        }
             
             
             
             

//Esse é o codigo do botão de comfirmar
        cmdcomfirmar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        
         txtcodusuario.setEnabled(false);
         txtnome.setEnabled(false);
         txtsobrenome.setEnabled(false);
         txtsenha.setEnabled(false);
         txtcomfirmarsenha.setEnabled(false);
         
         
       
        
     
    }//GEN-LAST:event_cmdcomfirmarActionPerformed

    private void cmdnovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdnovoActionPerformed
        // Este é o codigo do botão novo
         cmdcomfirmar.setEnabled(true);
         cmdcancelar.setEnabled(true);
         
         txtcodusuario.setEnabled(true);
         txtnome.setEnabled(true);
         txtsobrenome.setEnabled(true);
         txtsenha.setEnabled(true);
         txtcomfirmarsenha.setEnabled(true);
         
         txtcodusuario.setText("");
         txtnome.setText("");
         txtsobrenome.setText("");
         txtsenha.setText("");
         txtcomfirmarsenha.setText("");
         
         cmdNovo=true;
         
         txtcodusuario.requestFocusInWindow();
         
    }//GEN-LAST:event_cmdnovoActionPerformed

    private void formInternalFrameOpened(javax.swing.event.InternalFrameEvent evt) {//GEN-FIRST:event_formInternalFrameOpened
        txtcodusuario.setText(Musuarios.getUsuarios()[usuarioatual].getCodusuario());
        txtnome.setText(Musuarios.getUsuarios()[usuarioatual].getNome());
        txtsobrenome.setText(Musuarios.getUsuarios()[usuarioatual].getSobrenome());
        txtsenha.setText(Musuarios.getUsuarios()[usuarioatual].getSenha());
        txtcomfirmarsenha.setText(Musuarios.getUsuarios()[usuarioatual].getCodusuario());
    }//GEN-LAST:event_formInternalFrameOpened


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cmdcancelar;
    private javax.swing.JButton cmdcomfirmar;
    private javax.swing.JButton cmdnovo;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JTextField txtcodusuario;
    private javax.swing.JPasswordField txtcomfirmarsenha;
    private javax.swing.JTextField txtnome;
    private javax.swing.JPasswordField txtsenha;
    private javax.swing.JTextField txtsobrenome;
    // End of variables declaration//GEN-END:variables
}
